Bug 1436811 - [RFE] Respect the interval setting independently for each destination
Summary: [RFE] Respect the interval setting independently for each destination
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Chris Snyder
QA Contact: Eko
Yehuda Zimmerman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-28 17:49 UTC by Chris Snyder
Modified: 2017-08-01 19:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
*virt-who* respects independent interval settings With this update, the "virt-who" command reports each interval on all sources that have updates. In addition, if "virt-who" is configured to send updates to more than one destination, for example to an Red Hat Satellite instance and the Red Hat Subscription Management (RHSM), the interval for each is maintained separately. This means that all updates can be sent to each configured destination, regardless of the state of communication with other destinations.
Clone Of:
Environment:
Last Closed: 2017-08-01 19:24:47 UTC


Attachments (Terms of Use)
rhsm log and virt-who config file (3.21 KB, application/x-gzip)
2017-05-09 09:47 UTC, yuefliu
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2084 normal SHIPPED_LIVE virt-who bug fix and enhancement update 2017-08-01 18:14:28 UTC
Github virt-who virt-who pull 59 None None None 2017-03-31 20:03:41 UTC

Description Chris Snyder 2017-03-28 17:49:52 UTC
Description of problem:

Given an instance of virt-who configured to report on multiple sources to multiple destinations (for example a satellite 6 instance and hosted rhsm),
it will take number_of_sources * number_of_destinations * interval amount of time (at a minimum) to send all reports.

As an example if there are 4 sources and we use the default interval of 4 hours, going just to one destination it will take 16 hours to send at least one update on all sources.

Additional info:

See upstream virt-who branch feature/interval_design (https://github.com/virt-who/virt-who/tree/feature/interval_design) for current work on this feature

Comment 1 Chris Snyder 2017-04-05 13:38:47 UTC
The posted PR has been merged upstream.
Moving to POST.

Comment 3 yuefliu 2017-05-09 07:23:03 UTC
it still exists with virt-who-0.19-4

Comment 4 yuefliu 2017-05-09 09:38:20 UTC
update comment3, check the bug with virt-who-0.19-4, the steps and result as below:

packages:
virt-who-0.19-4.el7.noarch
subscription-manager-1.19.12-1.el7.x86_64
python-rhsm-1.19.6-1.el7.x86_64

steps:
1. configure virt-who run in ESX & HYPERV sources against Stage Candlepin server and Libvirt & XEN sources against Satellite6.2.9 server, refer to attachment for config file.

2. start virt-who with 300s interval, it will send all sources mapping info to their server immediately the first run.
# virt-who -d -i 300

3. make 'shutdown/power off' trigger for guest of each hypervisor source, the mapping update info of the four hypervisors cannot be sent together after 300s, 
some are sent one by one each 300s. 

Please refer to attachment - "rhsm log and virt-who config file"

Comment 5 yuefliu 2017-05-09 09:47:28 UTC
Created attachment 1277340 [details]
rhsm log and virt-who config file

Comment 6 yuefliu 2017-06-07 06:02:58 UTC
Verified the bug with virt-who-0.19-5, when configure virt-who run in multi hypervisor modes, after restart virt-who service, it can fetch and send all the hypervisors mapping to server in the first interval, no time delay.

Comment 9 errata-xmlrpc 2017-08-01 19:24:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2084


Note You need to log in before you can comment on or make changes to this bug.